Subject: bug#40047: 26.2; Images in tooltip-mode tooltips broken on Linux and OSX

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Mar 2020 16:24:53 +0200

> From: Stephen Berman <[email-masked]>
> Cc: Dustin Lacewell <[email-masked]>,  [email-masked]
> Date: Fri, 13 Mar 2020 13:11:31 +0100
> 
> > If, in the GNU/Linux build, you set x-gtk-use-system-tooltips to nil,
> > does the problem go away?
> 
> It does for me.  That is, I'm running GNU/Linux and with
> x-gtk-use-system-tooltips set to t, I don't see the image, but with it
> set to nil, I do.

Thanks for testing.  So I guess the problem is that we fail to
instruct the native tooltips to display the image or use the correct
dimensions, for some reason, and the problem doesn't exist on Windows
because we always use our own code for tooltips there.

Patches to fix the native case are welcome.